Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.record
Class ExEmbedAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.ExEmbedAtom

    public class ExEmbedAtom

extends RecordAtom

The atom that holds metadata on a specific embedded object in the document.

Author:
  Daniel Noll

Field Summary
`static int` | `DOES_NOT_FOLLOW_COLOR_SCHEME` Embedded document does not follow the color scheme.
`static int` | `FOLLOWS_ENTIRE_COLOR_SCHEME` Embedded document follows the entire color scheme.
`static int` | `FOLLOWS_TEXT_AND_BACKGROUND_SCHEME` Embedded document follows the text and background scheme.

Method Summary
`boolean` | `getCantLockServerB()` Gets whether the embedded server cannot be locked.
`int` | `getFollowColorScheme()` Gets whether the object follows the color scheme.
`boolean` | `getIsTable()` Getswhether the object is a Word table.
`boolean` | `getNoSizeToServerB()` Gets whether it is not required to send the dimensions to the embedded object.
`long` | `getRecordType()` Gets the record type.
`void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOES_NOT_FOLLOW_COLOR_SCHEME

    public static final int DOES_NOT_FOLLOW_COLOR_SCHEME

  Embedded document does not follow the color scheme.

  See Also:
    Constant Field Values

### FOLLOWS_ENTIRE_COLOR_SCHEME

    public static final int FOLLOWS_ENTIRE_COLOR_SCHEME

  Embedded document follows the entire color scheme.

  See Also:
    Constant Field Values

### FOLLOWS_TEXT_AND_BACKGROUND_SCHEME

    public static final int FOLLOWS_TEXT_AND_BACKGROUND_SCHEME

  Embedded document follows the text and background scheme.

  See Also:
    Constant Field Values

Method Detail

### getFollowColorScheme

    public int getFollowColorScheme()

  Gets whether the object follows the color scheme.

  Returns:
    one of `DOES_NOT_FOLLOW_COLOR_SCHEME`, `FOLLOWS_ENTIRE_COLOR_SCHEME`, or `FOLLOWS_TEXT_AND_BACKGROUND_SCHEME`.

### getCantLockServerB

    public boolean getCantLockServerB()

  Gets whether the embedded server cannot be locked.

  Returns:
    `true` if the embedded server cannot be locked.

### getNoSizeToServerB

    public boolean getNoSizeToServerB()

  Gets whether it is not required to send the dimensions to the embedded object.

  Returns:
    `true` if the embedded server does not require the object dimensions.

### getIsTable

    public boolean getIsTable()

  Getswhether the object is a Word table.

  Returns:
    `true` if the object is a Word table.

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD